Notifications API Documentation (1.0.0)

Download OpenAPI specification:Download

Documentation and interface contract for the Notifications API. This API manages the lifecycle and retrieval of user notifications.

Notifications

Operations related to notification management.

listNotifications

Retrieve a paginated list of notifications.

query Parameters
establishment-id
required
string

Identifier of the establishment that owns the notifications.

receiver-id
required
string

Identifier of the user receiving the notifications.

currentPage
integer >= 0

Current page number. If it is the first request, this parameter should be omitted.

pageSize
integer >= 3

Number of items per page.

header Parameters
X-Correlation-ID
string

Correlation identifier used for tracing requests.

Responses

Response samples

Content type
application/json
{
  • "totalElements": 0,
  • "totalPages": 0,
  • "currentPage": 0,
  • "content": [
    ]
}